libogg documentation | libogg release 1.2.1 - 20101029

# ogg_sync_pageseek

declared in "ogg/ogg.h";

This function synchronizes the ogg_sync_state struct to the next ogg_page.

This is useful when seeking within a bitstream. ogg_sync_pageseek will synchronize to the next page in the bitstream and return information about how many bytes we advanced or skipped in order to do so.

    int ogg_sync_pageseek(ogg_sync_state *oy, ogg_page *og);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct.
og
  Pointer to a page (or an incomplete page) of data. This is the page we are attempting to sync.

### Return Values

> - -n means that we skipped n bytes within the bitstream.
> - 0 means that the page isn't ready and we need more data, or than an internal error occurred. No bytes have been skipped.
> - n means that the page was synced at the current location, with a page length of n bytes.

copyright © 2000-2010 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.2.1 - 20101029